local config = {}
--@brief | MessageType:combineVideoDebug3 |
--@brief | widget:slider | ZH:大小 | EN:widthRatio3 | paramType:integer | current:100 | min:0 | max:3000 | step:1 | subMsg:_config_widthRatio3 |;
config.widthRatio3 = 100
--@brief | widget:slider | ZH:纵偏移 | EN:heightRatio3 | paramType:integer | current:0 | min:0 | max:1000 | step:1 | subMsg:_config_heightRatio3 |;
config.heightRatio3 = 0
--@brief | widget:slider | ZH:横偏移 | EN:widthDelta3 | paramType:integer | current:0 | min:-500 | max:500 | step:1 | subMsg:_config_widthDelta3 |;
config.widthDelta3 = 0
--@brief | widget:slider | ZH:选择 | EN:choose | paramType:integer | current:0 | min:0 | max:4 | step:1 | subMsg:_config_choose |;
config.choose = 0
--@brief | widget:finish |;
-------------------- 可调整参数 --------------------

-- 开关: true or false
config.enableRotate = true
config.enableScale = true
config.enableMove = true

config.animations = {
--VideoType  Path    	   Info   FrameRate  x    y   width
	{4, 	"body1/body_.png", {1, 5, 2, 2, 48, 0, 0}, 	12,  0.0, 0.0, 2.0},
}

--拼接视频信息
config.combineTotalWidth = 378
config.combineTotalHeight = 300
config.combineInfos = {
--left top width height fg(0)/bg(1)  bodyIN(1)/OUT(0)	part(0)/whole(1) Info{HDelta, VDelta, sizeRatio}
--left top width height 前景(0)/背景(1)  身体内显示(1)/身体外显示(0)	局部素材(0)/全屏素材(1) Info{横偏, 纵偏, 相对人脸宽的几倍}
 {0,    0, 378, 300,   0,   0, 0,  -0.26, 2.0, 6.0},
}

----------------------------------------------------

return config


-- 注意注意: (x, y)是以素材中心点定位的, 且原图正中心为原点(0.0,0.0)
--			width 为素材的宽, 参照原图最小边缩放

--    坐标系:
--
--    (-1,-1)               (1,-1)
--     .---------------------.
--     |          |          |
--     |          |          |
--     |          |          |
--     |          |          |
--     |          |          |
--     |----------.----------|
--     |          |(0,0)     |
--     |          |          |
--     |          |          |
--     |          |          |
--     |          |          |
--     .---------------------.
--    (-1,1)                (1,1)

--    假设: x=0,y=0,width=0.5:
--
--    (-1,-1)               (1,-1)
--     .---------------------.
--     |                     |
--     |                     |
--     |(-0.25,0.25)         |
--     |       .-----.       |
--     |       |     |       |
--     |       |  .  |       |
--     |       |(0,0)|       |
--     |       .-----.       |
--     |          (0.25,0.25)|
--     |                     |
--     |                     |
--     .---------------------.
--    (-1,1)                (1,1)